С помощью ctrl можно вводить в программу символы (управляющие)
Однако терминал их часто оьрабатывет сам, так что придется отключить в нем эту опцию.
Символы
Ctrl A  = Nul
BEL = звонок(на телетайпах был)(7)
HT - horizontal tab (9)
BS - BackSpace - (8) - перемещает курсор на одну позицию влево
Возврат коретки на начало текущей строки(CR) - carriage return


Конец файла.
Нет никакой команды или символа конца файла! Операционная системак уже знает сколько весит каждая программа(записано отдельным числом)
Как только вместо очередной порцией данных она (программа) сможет получить ничего, то возникнет СИТУация конца файла. Тогда тут
на помощь прийдет функция eof

ctrl+D - управляющий символ конца передачи данных
В си же EOF представлена в бибилиотеке stdio.h как контсната -1

Если писать программы на си с eof на "ожидание" eof, то получится некая абракадабра
Почему? Ответ - функци я scanf может съесть ctrl d при чтении и все.
Придется давать это дважды. А при ситуации конца файла(или потока данных), у нас вечно будет это ситцаия( а не однажды)

В си есть перечисляемый тип. Сами эти значения задются идентификаторами
enum s {
	RED,
	YELLOW
};
И все, теперь RED - 0
YELLOw - 1

Union в С - объединение
Можно использовать тогда, когда у нас есть некотрые данные, которые не используется. И лучше бы их сэкономить

struct who {
	bool isrobot;
	union {
		firm;
		личность
	}
};

Порядковый тип 
Под ним подразумевается:
1) нечто, где можно задать каждому элементу нормер
2) нечто, где есть max и min
3) Определена опреция сравнения( меньший меньше большего)

Внутренние типы и пользовательские типы.
Внутренние - int, double и т.д
Пользовательские - те, что создает пользователь компилятора
